import { createAsyncThunk } from "@reduxjs/toolkit";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import axios from "axios";

export const dashboardGetEquivalentInfoService = createAsyncThunk(
  "DASHBOARD_GET_EQUIVALENT_INFO_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("kill-house-comparative-info", {
      params: d,
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
